import 'dart:convert';

class Covid19GetTestProceduresResp {
  String? procedureId;
  String? procedureName;
  String? procedureNameN;
  String? setupId;

  Covid19GetTestProceduresResp({
    this.procedureId,
    this.procedureName,
    this.procedureNameN,
    this.setupId,
  });

  factory Covid19GetTestProceduresResp.fromRawJson(String str) => Covid19GetTestProceduresResp.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory Covid19GetTestProceduresResp.fromJson(Map<String, dynamic> json) => Covid19GetTestProceduresResp(
    procedureId: json["ProcedureID"],
    procedureName: json["ProcedureName"],
    procedureNameN: json["ProcedureNameN"],
    setupId: json["SetupID"],
  );

  Map<String, dynamic> toJson() => {
    "ProcedureID": procedureId,
    "ProcedureName": procedureName,
    "ProcedureNameN": procedureNameN,
    "SetupID": setupId,
  };
}
